@font-face {
  font-family: "CyberpunkWaifus";
  src: url("CyberpunkWaifus.woff");
}

:root {
    --dorothy-pink: #FF2FCB;
    --border-black: #161022;
    --border-first: #2D2735;
    --border-second: #161022;
    --menu-violet: #1F1A2E;
    --badtouch-green: #39C24D;
    --pianowoman-teal: #7FF3CB;
    --brandtini-red: #E03C28;
    --player-blue: #264BFF;
}

html::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
html {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

html {
  font-family: "CyberpunkWaifus", monospace;
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: grayscale; 
  text-rendering: optimizeSpeed;

  min-width: 1200px; 
}

body {
    background-image: url("img/background.png");
    
    display: block; 
    margin: 0;

}

body.scanlines-wrapper::after {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: repeating-linear-gradient(
    0deg,
    rgba(0, 0, 0, 0.3) 0px,
    rgba(0, 0, 0, 0.3) 2px,
    rgba(255, 255, 255, 0.05) 2px,
    rgba(255, 255, 255, 0.05) 4px
  );
  pointer-events: none;
  z-index: 9999;
}

.raindrop {
    position: fixed;
    margin-top: 15px;
    top: -10px;
    width: 3px;
    height: 15px;
    background-color: rgba(255, 255, 255, 0.6);
    z-index: 1;
    pointer-events: none; 
    animation: fall linear forwards;
}

@keyframes fall {
    from {
        transform: rotate(30deg) translateY(0);
    }
    to {
        transform: rotate(30deg) translateY(150vh);
    }
}

.dialogue-box {
    display: flex;
    background-color: black;
    padding: 10px;
    height: 100px;
    
    visibility: hidden;

    flex: 0 0 auto;
    width: calc(100% - 20px);
        

    box-shadow: 0 0 0 5px var(--border-black),
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
    
    
}

/* for placeholder to be seen on neocities preview */
.dialogue-box.ready {
    visibility: visible;
}

.character-container {
    display: flex;
    align-items: center;
    padding-right: 10px;
    
    position: relative;
    z-index: 2;
    
}


.character-container img {
    margin: -10px 1em -10px -5px;
    align-self: center;
    flex-shrink: 0;
    padding: 10px 10px 0 10px;
    background-image: url("img/Bar-Background.png");
    background-size: cover;
    height: 100px;

        box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first),  
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
}

.text-wrapper {
    text-align: left;
    align-self: center;
    color: white;
    font-size: 1.6em;
    max-height: 100px;
    overflow-y: auto;

    word-wrap: break-word;

}

.text-wrapper::-webkit-scrollbar {
  display: none;
}


/* Hide scrollbar for IE, Edge and Firefox */
.text-wrapper {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

#character-name {
    color: var(--dorothy-pink);
}

.news-wrapper {
    background-color: white;
    height: 30px;
    font-size: 1.5em;
    overflow: hidden;
    width: 100%;
    z-index: 2;

}

.news-content {
    display: inline-flex;
    white-space: nowrap;
    animation: news 20s linear infinite;
    width: max-content;
}

.news-item {
    background-color: var(--player-blue);
    color: white;
    padding: 5px 20px; /* Space between items */
    margin-right: 10px;
    text-shadow: #0C2B4C 1px 1px;
}

@keyframes news {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}



.main-container {
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    justify-content: top; 
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 30px; 
    
    position: relative;
    
    max-width: 600px;
    min-height: 1000px;
    margin: 50px auto; 
    height: auto;
    z-index: 10;

    background-color: var(--border-black);
    padding: 20px;
    box-sizing: border-box;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first),  
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
}

.blog-window {
    display: flex;
    flex-direction: column;
    width: calc(100% - 20px);
    word-break: break-all;
}

.blog-item {
    width: 100%;
    margin-bottom: 30px;
}

.blog-toolbar {
    display: flex;
    justify-content: center;
    gap: calc(100% - 250px);

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);

    height: 30px;
    margin-left: 20px;
    background-color: black;

    cursor: pointer;
}

.blog-date, .blog-click {
    align-self: center;
}

.blog-content {
    margin: 10px 0 0px 20px;

    display: none;
    flex-direction: column;
    
    overflow: auto;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);

    -ms-overflow-style: none;
    scrollbar-width: none;
}

.blog-content .blog-content-content::-webkit-scrollbar {
    display: none;
}

.blog-content.ready{
    display: flex;
    height: 400px;
}

.blog-content .blog-content-label {
    font-size: 2em;
    padding: 10px 0 0px 0;
    align-self: center;
}

.blog-content .blog-content-content > * {
    font-size: 1.5em;
    text-indent: 10px;
    word-break: keep-all;
    align-self: center;
    padding: 0 5px 0 10px;
}

.day-celebration {
    font-size: 1.6em;
    align-self: center;
    text-align: center;
    color: white;
    padding: 5px;

    visibility: hidden;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
}

.day-celebration.ready {
    visibility: visible;
}

.music-player {
    display: flex;
    flex-direction: column;
    
    background-color: var(--player-blue);

    width: 270px;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);

}

.music-player .player-label {
    font-weight: bold;
    font-size: 1.4em;
    color: white;
    text-shadow: 2px 2px #0C2B4C;

    padding: 10px 0px 0px 10px;
}

.music-player .player-title {
    font-size: 1.4em;
    color: white;
    text-shadow: 1px 1px #808080;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

    padding: 5px 0px 10px 10px;
    margin-bottom: -5px;
}

.player-controls {
    display: flex;
    justify-content: space-around;
    padding: 10px 0 15px 10px;
    margin-bottom: -10px;
}

.prev-track {
    background-image: url("img/prev-track.png");
    background-repeat: no-repeat;
    background-size: 50px;

    transition: all 0.2s; 

    width: 285px;
    height: 25px;
}

.prev-track:hover {
    background-image: url("img/prev-track-o.png");
    cursor: pointer;
}

.play-pause {
    background-image: url("img/play.png");
    background-repeat: no-repeat;
    background-size: 25px;

    width:170px;
    height: 25px;
    cursor: pointer;
    margin-left: 4px;
    margin-top: -1px;
}

.next-track {
    background-image: url("img/next-track.png");
    background-repeat: no-repeat;
    background-size: 50px;

    transition: all 0.2s; 

    width:300px;
    height: 25px;
}

.next-track:hover {
    background-image: url("img/next-track-o.png");
    cursor: pointer;
}

.random-track {
    background-image: url("img/random-track.png");
    background-repeat: no-repeat;
    background-size: 35px;

    transition: all 0.2s; 

    width:240px;
    height: 35px;
    
}

.random-track:hover {
    background-image: url("img/random-track-o.png");
    cursor: pointer;
}

.loop-track {
    background-image: url("img/loop-track.png");
    background-repeat: no-repeat;
    background-size: 45px;

    transition: all 0.2s; 

    width:260px;
    height: 30px;
}

.loop-track[data-loop="false"]:hover,
.loop-track[data-loop="true"] {
    background-image: url("img/loop-o.png");
    cursor: pointer;
}

.player-seek .seek-slider {
    width: calc(100% - 20px);
    margin: -10px 0 0 10px;
    height: 10px;
    -webkit-appearance: none;
}

.seek-slider:focus {
    outline: none;
}

.seek-slider::-moz-range-thumb {
    background-color: var(--player-blue);
    border:2px solid var(--pianowoman-teal);
    cursor: pointer;
}

.seek-slider::-moz-range-track {
    width: 100%;
    background: white;
    border: 2px groove transparent;
}

/* Track - Chrome */
.seek-slider::-webkit-slider-runnable-track {
  width: 100%;
  height: 8px;
  background: white;
  border-radius: 4px;
  border: none;
}

/* Thumb - Chrome */
.seek-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 20px;
  width: 20px;
  background: var(--player-blue);
  border:2px solid var(--pianowoman-teal);
  margin-top: -6px; /* Centers thumb on track */
  cursor: pointer;
}

.volume-slider, .sfx-slider {
    -webkit-appearance: none;
}

.volume-container, .sfx-container {
    display: flex;
    flex-direction: column;
    width: 250px;

}

.volume-slider::-moz-range-track {
    height: 15px;
    width: 100%;
    background: linear-gradient(
        to right,
        #FF7000,
        #FFD500
    );
    border: 2px solid white;
    padding: 2px 2px 2px 2px;
    box-shadow: inset 0 0 0 2px black
}

.volume-slider::-moz-range-thumb, .sfx-slider::-moz-range-thumb {
    width: 3px;
    height: 25px;
    
    background-color: black;
    border:2px solid white;
    cursor: pointer;
}

/* Track - Chrome */
.volume-slider::-webkit-slider-runnable-track {
    height: 24px;
    width: 100%;
    background: linear-gradient(
            to right,
            #FF7000,
            #FFD500
        );
    border: 2px solid white;
    padding: 2px 2px 2px 2px;
    box-shadow: inset 0 0 0 2px black
}

.volume-slider::-webkit-slider-thumb, .sfx-slider::-webkit-slider-thumb {
    -webkit-appearance: none; 
    appearance: none;
    
    width: 7px;
    height: 27px;
    background: black;
    border: 2px solid white;
    cursor: pointer;

    margin-top: -6px;
}

.volume-slider:focus, .sfx-slider:focus {
  outline: none;
}

.sfx-slider::-moz-range-track {
    height: 15px;
    width: 100%;
    background: linear-gradient(
        to right,
        #0086FF,
        #00EBFF
    );
    border: 2px solid white;
    padding: 2px 2px 2px 2px;
    box-shadow: inset 0 0 0 2px black
}

.sfx-slider::-webkit-slider-runnable-track {
    height: 24px;
    width: 100%;
    background: linear-gradient(
            to right,
            #0086FF,
            #00EBFF
        );
    border: 2px solid white;
    padding: 2px 2px 2px 2px;
    box-shadow: inset 0 0 0 2px black
}

.nav-container {
    display: flex;
    flex-direction: column;
    font-size: 1.5em;
    align-self: flex-end;
    background-color: black;
    justify-content: center;
    margin-left: 15px;

    position: absolute;
    left: 100%;       
    top: 30px;        
}

.left-bar {
    position: absolute;
    right: 100%;
    top: 30px;
    margin-right: 15px;

    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: flex-end;
}

/* @media (max-width: 1000px) {
    nav {
        position: static;  back in normal flow
        margin-left: 0;
        width: 100%;
        margin-bottom: 20px;
    }
    .main-container {
        flex-direction: column-reverse; put on top
    }
} */

.nav-label, .nav-sec-label, .player-nav, .settings-label,
.settings-box, .tv, .tv-label, .description-container {
    background-color: black; 
    color: white;                        
    font-size: 0.8em;                      
    padding: 10px 10px;
    margin-bottom: -10px;
    margin-bottom: 15px;
    text-transform: uppercase;            
    font-weight: bold;
    letter-spacing: 2px;
    text-align: center;

    box-shadow: 0 0 0 5px var(--border-black),  
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);

}

.description-container {
    width: 250px;
    font-size: 1.3em;
    display: flex;
    flex-direction: column;
}

.description-label {
    border-bottom: var(--border-first) dotted 5px;
    padding: 5px 0 10px 0;
}

.description-content {
    padding-top: 15px;
}

.settings-wrapper {
    margin-top: -15px;
    width: 270px;
}

.settings-box {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-size: 1.3em;
    

    padding: 10px 0 10px 10px;
    gap: 10px
}

.scanlines, .rain, .rain-sound, .volume-container span {
    width: calc(100% - 20px);
    text-align: left;
    padding: 5px 5px 5px 5px;
}

.volume-container span {
    text-align: center;
    align-self: center;
    border-top: var(--border-first) dotted 5px;
    padding-top: 13px;
}

.sfx-container span {
    text-align: center;
    align-self: center;
    padding-bottom: 5px;
}

.scanlines:hover, .rain:hover, .rain-sound:hover {
    cursor: pointer;
    transition: background-color 1s -0.1s;
    background-color: white;
    color: black;
    
}

.player-nav, .settings-label, .tv-label {
    font-size: 1.3em;
}

.tv {
    border: 20px solid transparent; 
    border-image: url("img/tv-border.png") 10 fill;
    width: 210px;
    height: 120px;
    background-image: url("img/cyber.gif");
    background-size: cover;
    background-position: center;
    cursor: pointer;
}

nav ul {
    list-style: none;
    padding: 10px 20px 20px 20px;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 15px;

    box-shadow: 0 0 0 5px var(--border-black),  
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
}


nav ul li a {
    color: white;
    text-decoration: none;
    display: flex;         
    align-items: center;   
    
    background-color: #0a0a0a;
    border: 2px solid var(--border-first);
    padding: 5px 15px;
    width: 140px;         
    
    transition: all 0.2s; 
    position: relative;
}

nav ul li a::before {
    content: "";
    display: inline-block;
    width: 25px;           
    height: 25px;
    margin-right: 15px;
    background-size: contain;
    background-repeat: no-repeat;
    
}

nav ul li a[href*="/"]::before {
    background-position: 4px 0px;
    background-image: url("img/home.png");
}

nav ul li a[href*="drinks"]::before {
    background-image: url("img/brandtini.png");
}

nav ul li a[href*="projects"]::before {
    background-image: url("img/projects.png");
    background-size: cover;
}

nav ul li a[href*="blog"]::before {
    background-image: url("img/blog.png");
}

nav ul li a[href*="github"]::before {
    background-image: url("img/github.png");
    filter: invert();
    background-position: 1px 0px;
    background-size: 23px 23px;
}

nav ul li a[href*="steam"]::before {
    background-image: url("img/steam.png");
    background-position: 1px 0px;
    background-size: 23px 23px;
}

nav ul li a:hover {
    border-color: var(--dorothy-pink);
    background-color: var(--menu-violet);
    transform: translateX(5px); 
    color: var(--dorothy-pink);
}

nav ul li a[href^="http"]:hover {
    color: var(--badtouch-green);
    border-color: var(--badtouch-green);
}


.gif-container-1 img {
    max-width: 100%;
    max-height: 100%;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 10px var(--border-first), 
              0 0 0 10px var(--menu-violet),
              0 0 0 10px var(--border-second);
}

footer {
    width: calc(100% - 20px);
    padding: 5px;
    color: white;
    margin-top: auto;
    align-self: center;
    text-align: center;
    font-size: 2em;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet),  
              0 0 0 11px var(--border-first),
              0 0 0 12px var(--menu-violet),
              0 0 0 13px var(--border-second);
}

.about-window {
    color: white;
    display: flex;
    flex-direction: column;

    box-shadow: 0 0 0 5px var(--border-black),   
              0 0 0 10px var(--menu-violet), 
              0 0 0 11px var(--border-first), 
              0 0 0 12px var(--menu-violet),
              0 0 0 13px var(--border-second);

    transform: translateZ(0);
    -webkit-font-smoothing: none;
    font-smooth: never;
    text-rendering: crispEdges;

    max-height: 760px;
    width: 100%;
    overflow-y: auto;

    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */

}

.about-window::-webkit-scrollbar {
  display: none;
}

.signs {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: 1fr;
    row-gap: 5px;
    grid-auto-flow: dense;

    font-size: 1.2em;
    text-align: center;
}

.signs span {
    grid-column: 2;
    padding-bottom: 10px;
}

.signs-label {
    border-top: var(--border-first) dotted 10px;
    padding-top: 10px;
}

.about-label, .signs-label {
    text-align: center;
    font-size: 2em;
    margin: 10px 0 20px 0;
    padding-bottom: 10px;
    border-bottom: var(--border-first) dotted 10px;
}

.about-window .main-information {
    display: flex;
    text-align: center;
    width: calc(100% - 20px);
    font-size: 1.1em ;

}

.about-window .main-information img {
    width: 200px;
    padding: 0 0 5px 5px;
}

.about-window .main-information .about-1 {
    margin-left: 20px;
}

.about-window .sub-information {
    font-size: 1.1em;
    padding: 10px;
    margin-top: -10px;

}

.about-window a {
    color: var(--badtouch-green)
}

.about-window a:hover {
    color: var(--pianowoman-teal)
}

.about-window .stay-long {
    padding-left: 7px;
    margin: 10px 0 0 0;
    font-size: 14px;
    text-align: center;
}

.gif-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-bottom: 20px;
}

.gif-wrapper img {
    width: 200px;
}

.not-found {
  font-size: 2em;
  text-align: center;
  color: white;
}